org.apache.lucene.analysis.ja

## Class JapaneseIterationMarkCharFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.CharFilterFactory
    - - org.apache.lucene.analysis.ja.JapaneseIterationMarkCharFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent

    public class JapaneseIterationMarkCharFilterFactory
    extends CharFilterFactory
    implements MultiTermAwareComponent

Factory for `JapaneseIterationMarkCharFilter`.

     <fieldType name="text_ja" class="solr.TextField" positionIncrementGap="100" autoGeneratePhraseQueries="false">
       <analyzer>
         <charFilter class="solr.JapaneseIterationMarkCharFilterFactory normalizeKanji="true" normalizeKana="true"/>
         <tokenizer class="solr.JapaneseTokenizerFactory"/>
       </analyzer>
     </fieldType>

Since:
  4.0.0

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`JapaneseIterationMarkCharFilterFactory(Map<String,String> args)` Creates a new JapaneseIterationMarkCharFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`CharFilter` `create(Reader input)`
`AbstractAnalysisFactory` `getMultiTermComponent()`

### Methods inherited from class org.apache.lucene.analysis.util.CharFilterFactory

`availableCharFilters, forName, lookupClass, reloadCharFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JapaneseIterationMarkCharFilterFactory

    public JapaneseIterationMarkCharFilterFactory(Map<String,String> args)

Creates a new JapaneseIterationMarkCharFilterFactory

### Method Detail

#### create

    public CharFilter create(Reader input)

Specified by:
  `create` in class `CharFilterFactory`

#### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

Specified by:
  `getMultiTermComponent` in interface `MultiTermAwareComponent`